## gegl-buffer-matrix2

gegl-buffer-matrix2

## Functions

gboolean | gegl_buffer_matrix2_is_identity ()
gboolean | gegl_buffer_matrix2_is_scale ()
gdouble | gegl_buffer_matrix2_determinant ()

## Types and Values

| GeglBufferMatrix2

## Description

## Functions

### gegl_buffer_matrix2_is_identity ()

    gboolean
    gegl_buffer_matrix2_is_identity (GeglBufferMatrix2 *matrix);

### gegl_buffer_matrix2_is_scale ()

    gboolean
    gegl_buffer_matrix2_is_scale (GeglBufferMatrix2 *matrix);

### gegl_buffer_matrix2_determinant ()

    gdouble
    gegl_buffer_matrix2_determinant (GeglBufferMatrix2 *matrix);

## Types and Values

### GeglBufferMatrix2

    typedef struct {
        gdouble coeff[2][2];
    } GeglBufferMatrix2;